Name:		touchfreeze
Version:	0.2.5
Release:	%mkrel 1
Summary:	Utility to disable touchpad tap-clicking while typing
Summary(de):	Werkzeug zu deaktivieren des Touchpad-Klick während der Eingabe
License:	GPL+
Group:		System/Configuration/Hardware
Source0:	http://qsynaptics.sourceforge.net/%{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-root
URL:		http://qsynaptics.sourceforge.net/
Obsoletes:	qsynaptics <= 0.22.0-4
Obsoletes:	ksynaptics <= 0.3.3-1
Provides:	qsynaptics
Provides:	ksynaptics
BuildRequires:	qt4-devel
Requires:	synaptics

%description
TouchFreeze is a simple utility that disables the tap-click function
of Synaptics touchpads while you are typing. As long as you are typing,
tapping the touchpad will not count as a mouse click. It replaces
the previous QSynaptics and KSynaptics tools.

%description -l de
TouchFreeze ist ein einfaches Dienstprogramm, das die TAP-Klick-Funktion 
des Touchpads mittels Synaptics deaktiviert während Sie tippen. Solange 
Sie tippen, tippen Sie auf das Touchpad wird es nicht als ein Mausklick zählen. 
Es ersetzt die bisherige QSynaptics und KSynaptics Werkzeuge.

%prep
%setup -q -n %{name}-%{version}

%build
%qmake_qt4
%make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
install -m 0755 %name %{buildroot}%{_bindir}/%{name}

# XDG autostart
mkdir -p %{buildroot}%{_sysconfdir}/xdg/autostart
cat > %{buildroot}%{_sysconfdir}/xdg/autostart/%{name}.desktop << EOF
[Desktop Entry]
Exec=%{_bindir}/%{name}
Name=TouchFreeze
Terminal=false
Type=Application
StartupNotify=false
X-KDE-autostart-phase=2
X-KDE-autostart-after=panel
EOF

# KDE autostart
mkdir -p %{buildroot}%{_datadir}/autostart
cp %{buildroot}%{_sysconfdir}/xdg/autostart/%{name}.desktop %{buildroot}%{_datadir}/autostart/%{name}.desktop

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_datadir}/autostart/%{name}.desktop



%changelog
* Mon Oct 18 2010 Texstar <texstar at gmail.com> 0.2.5-1pclos2010
- 0.2.5

* Wed Jul 21 2010 maik3531 <maik3531 at yahoo.de> 0.2.3-1pclos2010
- import touchfreeze
